// SPDX-License-Identifier: GPL-2.0
/*
 * Head file for FDT reg property translation.
 *
 * Copyright (C) 2018 Intel Corporation. All rights reserved.
 *
 */

#ifndef __FDT_REG_H
#define __FDT_REG_H

#include <linux/libfdt-4-12.h>

int fdt_get_reg(const void *fdt, int node, unsigned int idx,
		u64 *start, u64 *size);
int fdt_get_named_reg(const void *fdt, int node, const char *name,
		      u64 *start, u64 *size);

#endif
