/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Driver Header File for Intel(R) C827 Retimer for Parkvale
 *
 * Copyright (C) 2019 Intel Corporation. All rights reserved.
 */

#ifndef __C827_RETIMER_H_
#define __C827_RETIMER_H_

#include <linux/regmap.h>

#define C827_RETIMER_DRV "c827_retimer"

struct c827_retimer_platdata {
	unsigned int parent_id;
	unsigned int id;
	unsigned int addr;
	struct regmap *regmap;
};

#endif /* __C827_RETIMER_H_ */
