// SPDX-License-Identifier: GPL-2.0
/*
 * Copyright 2019 Intel Corporation, Inc.
 *
 */

#ifndef _LINUX_BITFIELD_INTEL_PAC_H
#define _LINUX_BITFIELD_INTEL_PAC_H

#include <asm/bug.h>
#include <linux/compiler.h>

#ifdef __CHECKER__
#define __BUILD_BUG_ON_NOT_POWER_OF_2(n) (0)
#else /* __CHECKER__ */
/* Force a compilation error if a constant expression is not a power of 2 */
#define __BUILD_BUG_ON_NOT_POWER_OF_2(n)       \
       BUILD_BUG_ON(((n) & ((n) - 1)) != 0)
#endif
#include <linux/bitfield.h>

#endif
